#
# spec file for package yast2-product-creator
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-product-creator
Version:        3.2.0
Release:        1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  autoyast2-installation
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-add-on-creator
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-packager
BuildRequires:  yast2-security
BuildRequires:  yast2-slp
BuildRequires:  yast2-testsuite

PreReq:         %fillup_prereq

Requires:       autoyast2-installation
Requires:       kiwi
Requires:       yast2-country
Requires:       yast2-security

Requires:       kiwi-schema = 6.2

# ag_pattern handling gzipped files
Requires:       yast2-add-on-creator >= 2.17.1

# SourceDialogs::IsPlainDir()
Requires:       yast2-packager >= 2.16.20

# changes in ag_anyxml agent
# Wizard_hw drop
# Wizard::SetDesktopTitleAndIcon
Requires:       yast2 >= 2.21.22

# Pkg::SourceForceRefreshNow()
Requires:       yast2-pkg-bindings >= 2.17.6

# New API of StorageDevices.ycp
Conflicts:      yast2-storage < 2.16.1

# prefer to install package with real templates
Recommends:     kiwi-config-openSUSE

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Module for Creating New Products
License:        GPL-2.0
Group:          System/YaST

%description
A wizard for creating your own product (installation images, live ISO,
XEN images etc.), based on existing installation sources.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

install -d $RPM_BUILD_ROOT/var/lib/YaST2/product-creator

%post
%{fillup_only -n product-creator}

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/product-creator
%{yast_yncludedir}/product-creator/*
%{yast_clientdir}/product-creator.rb
%{yast_clientdir}/image-creator.rb
%{yast_clientdir}/kiwi.rb
%{yast_moduledir}/*.rb
%{yast_desktopdir}/product-creator.desktop
%{yast_desktopdir}/image-creator.desktop
%{yast_ybindir}/y2mkiso
%doc %{yast_docdir}
%doc %{yast_docdir}/README.expert

%dir %{yast_ydatadir}/product-creator
%{yast_ydatadir}/product-creator/*
#%dir /etc/YaST2/product-creator
%{yast_scrconfdir}/*.scr
/var/adm/fillup-templates/sysconfig.product-creator

%changelog
* Wed Mar 29 2017 mfilka@suse.com
- bnc#1026027
  - removed calls to insserv
- 3.2.0
* Fri Mar 17 2017 igonzalezsosa@suse.com
- Fix patterns list initialization (bsc#1028661)
- Fix 'Next' button behaviour in pattern selection
- 3.1.9
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.8
* Thu Dec 11 2014 jsuchome@suse.cz
- require latest version of kiwi-schema: 6.2 (bnc#909280)
- drop obsoleted xen template
- added support for current image flags (bnc#901141)
- 3.1.7
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri May 16 2014 jsuchome@suse.cz
- kiwi-schema = 6.1 for Factory and SLE12
- 3.1.5
* Fri May  9 2014 jsuchome@suse.cz
- update to support kiwi version 5.05.57 (fate#317123)
- require kiwi and kiwi-schema=5.8 packages
- 3.1.4
* Thu Jan  9 2014 jsuchome@suse.cz
- update mkisofs package requirement (bnc#856658)
- 3.1.3
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Tue Aug 20 2013 jsuchome@suse.cz
- drop obsoleted usbboot image support (bnc#834664)
- enable all image types when not using the template (bnc#834845)
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Mon Dec 17 2012 jsuchome@suse.cz
- reinitialize architecture after going back (bnc#794583)
- 2.23.3
* Wed Dec  5 2012 jsuchome@suse.cz
- for images created in Studio, disable editing image.sh and
  config.sh, but enable editing root/build-custom (fate#310978)
- 2.23.2
* Mon Dec  3 2012 jsuchome@suse.cz
- read-only support for repository aliases (fate#312133)
  (alias can be found in config.xml and defined in system
  /etc/kiwi/repoalias file)
- 2.23.1
* Fri Nov  2 2012 jsuchome@suse.cz
- create reasonable default when size was not defined (bnc#786696)
- 2.23.0
* Thu Aug 16 2012 jsuchome@suse.cz
- added README.expert file, describing the option for forcing
  the package version (bnc#767614)
- 2.22.8
* Thu Jun 28 2012 jsuchome@suse.cz
- enable forcing package version to be present in the product
  (bnc#767614)
- 2.22.7
* Tue Apr  3 2012 jsuchome@suse.cz
- updated list of compression flags (bnc#755004)
- 2.22.6
* Wed Mar 21 2012 jsuchome@suse.cz
- locale settings: remove unsupported entries, allow deleting
  (bnc#751588)
- 2.22.5
* Wed Mar  7 2012 jsuchome@suse.cz
- do not discard bootinclude packages after conflict (bnc#750739)
- backup the original version of config.xml (bnc#750989)
- 2.22.4
* Wed Mar  7 2012 jsuchome@suse.cz
- new check for conflicting delete packages (bnc#748488)
- allow writing empty package list (bnc#749029)
- 2.22.3
* Wed Feb 22 2012 jsuchome@suse.cz
- do not show duplicates in locale entry (bnc#748122)
- 2.22.2
* Wed Jan 25 2012 jsuchome@suse.cz
- confirmed license
- 2.22.1
* Wed Nov 16 2011 jsuchome@suse.cz
- merged texts from proofreading
- 2.22.0
* Tue Oct 25 2011 jsuchome@suse.cz
- added UI for disk encryption (fate#312486)
- 2.21.12
* Mon Oct 17 2011 jsuchome@suse.cz
- call SLEPOS specific XSL transformation (bnc#723031)
* Tue Sep 27 2011 visnov@suse.cz
- set dialog title
- 2.21.11
* Fri Sep 23 2011 lslezak@suse.cz
- code cleanup - removed obsoled code for handling selections
  (replaced by patterns long time ago)
- use Pkg::ResolvableProperties() instead of obsoleted
  Pkg::GetPatterns()
- 2.21.10
* Mon Sep 19 2011 visnov@suse.cz
- remove dependency on Wizard_hw
- 2.21.9
* Thu Sep  1 2011 jsuchome@suse.cz
- during test for delete conflicts, check for packages selected
  by YaST (bnc#710733)
- 2.21.8
* Fri Aug 12 2011 jsuchome@suse.cz
- ignore bootinclude packages during the check what is available
- 2.21.7
* Fri Aug  5 2011 jsuchome@suse.cz
- added support for 'bootinclude' tag (fate#310978)
- 2.21.6
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Wed Aug  3 2011 lslezak@suse.cz
- use term "Software manager" instead of "Package manager"
  (bnc#585679)
- 2.21.5
* Fri Jul 15 2011 jsuchome@suse.cz
- fixed typos (bnc#703202)
- 2.21.4
* Tue May 24 2011 jsuchome@suse.cz
- updated to new kiwi version (fate#311430 "Update kiwi to 4.8")
- 2.21.3
* Fri May 13 2011 jsuchome@suse.cz
- better UI for locale related settings (fate#311734)
- 2.21.2
* Fri Mar 11 2011 jsuchome@suse.cz
- allow live iso creation only for x86/x86_64 (bnc#678145)
- show repository names in package selector (bnc#618251)
- 2.21.1
* Fri Mar  4 2011 jsuchome@suse.cz
- strip UTF-8 ending from locale string (bnc#675101)
- allow live iso creation only for x86/x86_64 (bnc#675101
- 2.21.0
* Tue Nov  9 2010 jsuchome@suse.cz
- added option to build i586 images on i686 system (bnc#644895)
- 2.20.3
* Tue Oct 12 2010 lslezak@suse.cz
- don't use obsoleted inst_packages.ycp client, use PackagesUI.ycp
  module instead (bnc#471490)
- 2.20.2
* Thu Aug  5 2010 jsuchome@suse.cz
- command line mode fixes: initialize the sources, automatically
  import GPG keys (bnc#626512)
- 2.20.1
* Thu Aug  5 2010 jsuchome@suse.cz
- save config.xml after changing the package list (bnc#599952)
- offer more options when packages are not available (bnc#599952)
- check for package dependencies automatically (bnc#599952)
- 2.20.0
* Thu Apr 29 2010 jsuchome@suse.cz
- remember the directory of the saved configuration (bnc#600922)
- 2.19.10
* Thu Apr 29 2010 jsuchome@suse.cz
- check availability of selected packages and report problem
  (bnc#599952)
- 2.19.9
* Wed Apr 28 2010 jsuchome@suse.cz
- better check for URLs of local repositories, so local repository
  is saved with correct 'rpm-dir' flag (bnc#599221)
- 2.19.8
* Thu Mar 11 2010 jsuchome@suse.cz
- remember logs directory (bnc#587012)
- 2.19.7
* Mon Mar  8 2010 jsuchome@suse.cz
- enhanced "save logs" dialog (bnc#583783)
- 2.19.6
* Fri Feb 26 2010 jsuchome@suse.cz
- do not escape path to local sources (bnc#561612
- 2.19.5
* Mon Feb 22 2010 jsuchome@suse.cz
- enable saving kiwi logs on demand (fate#306937)
- 2.19.4
* Wed Feb 17 2010 jsuchome@suse.cz
- recommend installation of package with up-to-date templates
- 2.19.3
* Mon Jan 25 2010 jsuchome@suse.cz
- when package cannot be installed, look if it is not provided
  by something else (bnc#571694)
- if primary tag for the boot images is not defined, take the first
  one (bnc#572727)
- 2.19.2
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Wed Jan  6 2010 jsuchome@suse.cz
- do not remove directory that can be resused (patch from varkoly,
  bnc#568298)
- adapt to new paths of kiwi-config-openSUSE, changed template
- 2.19.1
* Tue Dec 22 2009 jsuchome@suse.cz
- use menubutton for both iso image and directory tree (bnc#438223)
- check for presence of autoyast profile (bnc#503047)
- 2.19.0
* Fri Sep  4 2009 jsuchome@suse.cz
- merge changes from SLE11:
  fixed cross-architecture problems (bnc#510971)
  Image Creator: help texts for locale configuration (bnc#515551)
  do not create i386 version of initrd for s390 (bnc#498464)
  do not re-crypt user password already crypted (bnc#521887)
  show the warning when package management is locked (bnc#526338)
  give kiwi more time to finish (bnc#525986)
  probe repositories of NONE type (bnc#527198)
  show error if removing old chroot failed (bnc#525993)
- 2.18.11
* Thu Sep  3 2009 jsuchome@suse.cz
- added keywords to desktop files
- 2.18.10
* Mon Jun 22 2009 jsuchome@suse.cz
- do not show "compression" widget for ext3 filesystems (bnc#510833)
- 2.18.9
* Thu Jun 18 2009 jsuchome@suse.cz
- 2.18.8
* Tue Jun 16 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Fri Jun 12 2009 jsuchome@suse.cz
- do not forget to close opened windows on error (bnc#511436)
- correctly set target 32bit architecture on x86_64 (bnc#510971)
- with "additive", do not count the packages size (bnc#512358)
- 2.18.7
* Mon Jun  8 2009 jsuchome@suse.cz
- updated help texts
- fixed cross-architecture checks (bnc#503906)
- 2.18.6
* Thu May 21 2009 jsuchome@suse.cz
- merged changes from CODE11:
- added openssl-certs to default bootstrap section, so Update repos
  can work (bnc#491475)
- read the whole kiwi process output (bnc#488799)
- make content file optional (for empty repos, bnc#500527)
- correct check for configuration type and version in templates
  (bnc#498439)
- during configuration, do not throw away target image desctination
  (bnc#499489)
- updated sysconfig template (DEFAULT_IMAGE_ARCHITECTURE)
- added option to specify "additive" attribute to size (fate#305327)
- detect and report conflicts in selected and deleted package lists
  (fate#305254)
- allow building i386 images on x86_64 system (fate#305327)
- 2.18.5
* Wed Apr 22 2009 jsuchome@suse.cz
- look primary into base product for isolinux.cfg (bnc#496263)
- 2.18.4
* Tue Apr 14 2009 jsuchome@suse.cz
- Image Creator: install squashfs by default (bnc#485052)
- 2.18.3
* Wed Apr  1 2009 jsuchome@suse.cz
- read the configured architecture with GetArch, which merges
  i586 and i686 to i386 (bnc#464727)
- 2.18.2
* Mon Mar 16 2009 jsuchome@suse.cz
- escape URL of base product when saving to XML (bnc#482395)
- copy optional files as optional (bnc#482329)
- sign and create a checksum for add_on_products file (bnc#481470)
- bring all required patterns into the final product (bnc#482540)
- 2.18.1
* Wed Mar  4 2009 jsuchome@suse.cz
- add GPG key correctly to the installkey.gpg keyring inside initrd
  (bnc#478975)
- before signing a file check for its existence (bnc#481838)
- 2.18.0
* Fri Feb 20 2009 jsuchome@suse.cz
- adapted kiwi templates for 11.1 (bnc#477645)
* Wed Feb 11 2009 coolo@suse.de
- buildrequire yast2-slp to fix build
* Fri Jan 30 2009 lslezak@suse.cz
- unload all sources after changing a configuration to reset the
  internal state so the correct "cross-ppc-binutils" package is
  installed (bnc#469191)
* Tue Jan 27 2009 lslezak@suse.cz
- PPC boot files are optional (SLES11 does not contain 'inst32'
  file) (bnc#469272)
* Wed Nov 19 2008 lslezak@suse.cz
- fixed creating cross-arch PPC product (cross-ppc-binutils,
  updated lilo and util-linux packages are needed) (bnc#443859)
- 2.17.13
* Tue Nov 11 2008 lslezak@suse.cz
- fixed architecture check of CODE11 repositories (bnc#438732)
- 2.17.12
* Fri Oct 31 2008 jsuchome@suse.cz
- image-creator template: install pattern packages by default
  (bnc#404022)
- 2.17.11
* Fri Oct 31 2008 lslezak@suse.cz
- read and set the product name (bnc#440609)
* Fri Oct 24 2008 lslezak@suse.cz
- File "/PS3/otheros/otheros.bld" is optional when creating a PPC
  product (bnc#438210)
* Thu Oct 23 2008 lslezak@suse.cz
- added a help text describing linuxrc option insecure=1
* Wed Oct 15 2008 jsuchome@suse.cz
- Image Creator: added widgets for locale, timezone and keytable
  (bnc#435208)
- 2.17.10
* Tue Oct 14 2008 lslezak@suse.cz
- use Pkg::ResolvableProperties() instead of
  Pkg::PkgPropertiesAll() when verifying availablity of all
  packages, that's much faster
- add 'Insecure: 1' to linuxrc.config file when the product is not
  signed (bnc#421571)
- 2.17.9
* Mon Oct 13 2008 lslezak@suse.cz
- mark taboo packages when creating a product (bnc#421180)
- 2.17.8
* Mon Oct 13 2008 jsuchome@suse.cz
- Image Creator: include packagemanager in templates (bnc#434692)
* Mon Oct 13 2008 lslezak@suse.cz
- fixed source ID checks (0 is a valid ID)
- do not automatically add kernel-pae (i386 only) package into
  x86_64 product (bnc#421995)
- properly convert repo URL to ID
* Tue Sep  9 2008 jsuchome@suse.cz
- merged texts from proofread
- 2.17.7
* Mon Aug 11 2008 lslezak@suse.cz
- added cross-architecture support (e.g. create a PPC installation
  iso image on an i386 machine, but does not work in the kiwi part)
  (fate#301883)
- 2.17.6
* Fri Aug  1 2008 jsuchome@suse.cz
- Image Creator: added GUI to configure image compression
- 2.17.5
* Fri Jul 25 2008 jsuchome@suse.cz
- read the default information for new type from the template
- .background agent replaced by .process
* Thu Jul 24 2008 jsuchome@suse.cz
- adapted to last version of ag_anyxml (bnc#409491)
- Image Creator: allow more configurations with same name
- added new image type that was not in previous config.xml
- 2.17.4
* Mon Jul  7 2008 jsuchome@suse.cz
- create a path to the defaultroot directory if it doesn't exists
  (bnc#406731)
- 2.17.3
* Wed Jun 18 2008 jsuchome@suse.cz
- handle pattern file with more patterns when deleting unused
  ones (bnc#393515)
- do not delete patters required by selected ones
- 2.17.2
* Mon Jun 16 2008 jsuchome@suse.cz
- image-creator: removed dependency on ag_kiwi, use generci ag_anyxml
  agent for reading config.xml
- correctly handle plaindir repository type
- 2.17.1
* Wed Jun 11 2008 jsuchome@suse.cz
- image-creator: added support for UID, GID and user's full name
- 2.17.0
* Tue Jun  3 2008 jsuchome@suse.cz
- check if map key exists before removing it (bnc#396666)
- 2.16.19
* Thu May 22 2008 jsuchome@suse.cz
- added support for profiles (bnc#343212)
- do not install yast2-instserver
- 2.16.18
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Fri May 16 2008 jsuchome@suse.cz
- updated kiwi templates, added support for spit section,
  fixed handling of ignored and deleted packages (bnc#343212)
- 2.16.17
* Tue May  6 2008 ug@suse.de
- set "implicit" to "1" in the isolinux.cfg
* Wed Apr 30 2008 lslezak@suse.cz
- added missing ')' in a help text (bnc#384166)
- 2.16.16
* Wed Apr 30 2008 jsuchome@suse.cz
- fixed kiwi templates
- text fixes (software selection labels)
- 2.16.15
* Tue Apr 29 2008 lslezak@suse.cz
- do not require yast2-instserver package, ag_content agent is now
  in yast2 package (bnc#339126)
- 2.16.14
* Thu Apr 17 2008 lslezak@suse.cz
- fixed texts ('CD Creator' -> 'Product Creator')
* Wed Apr 16 2008 lslezak@suse.cz
- use relurl:// schema in 'add_on_products' file instead of cd://,
  the addons will be used automatically also over FTP/HTTP/...
* Fri Apr  4 2008 jsuchome@suse.cz
- write the full URL into config.xml for https sources (bnc#376666)
- 2.16.13
* Wed Apr  2 2008 lslezak@suse.cz
- adapted to the new callback registration scheme (fate#302296)
- 2.16.12
* Fri Mar 28 2008 jsuchome@suse.cz
- use new ag_anyxml to read parts of config.xml (WIP)
- show package lists in different kiwi profiles
- neutralize package and pattern selection before opening package
  selector
- do not return patterns selected by dependencies from package
  selector (requires transact_by in Pkg:ResolvableProperties)
- 2.16.11
* Tue Mar 25 2008 jsuchome@suse.cz
- fixes for bnc#364838:
- save modification of target image type
- set the default value of format attribute for vmx image
- check for kiwi-desc-* packages after selecting image type
* Tue Mar 25 2008 lslezak@suse.cz
- always update metadata in content files (bnc#368146)
- 2.16.10
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
* Wed Mar 12 2008 lslezak@suse.cz
- do not use StorageDevices:: module, not needed anymore
- fixed the architecture check
- better check product dependency, added a new dialog for selecting
  the base product (#368580)
* Tue Mar 11 2008 lslezak@suse.cz
- adapted to the new ProgressDownload callback signature (#168935)
- 2.16.9
* Mon Feb 18 2008 lslezak@suse.cz
- adapted to the new plaindir API in SourceDialogs module
  (use SourceDialogs::IsPlainDir() to get the plaindir flag)
* Wed Feb  6 2008 jsuchome@suse.cz
- save user password when importing configuration (bnc#357922)
- 2.16.8
* Fri Jan 25 2008 jsuchome@suse.cz
- added support for keytable and timezone keys; save preferences
  section with correct ordering (#355568)
- 2.16.7
* Thu Jan 17 2008 jsuchome@suse.cz
- support more user groups in kiwi configuration (#346501)
* Fri Jan  4 2008 lslezak@suse.cz
- do not call Pkg::SaveState() and Pkg::RestoreState(), the state
  is saved/restored by the package selector widget
* Wed Dec  5 2007 jsuchome@suse.cz
- added command line support (F302395)
- fixed generating configuration path name (#346152)
- 2.16.6
* Mon Dec  3 2007 jsuchome@suse.cz
- perl-XML-LibXML required for ag_kiwi
- merged texts from proofread
* Mon Nov 12 2007 lslezak@suse.cz
- select the current language if there is no language selected,
  prevent the solver from allocating too much resources (#339756)
- 2.16.5
* Mon Nov 12 2007 jsuchome@suse.cz
- image-creator:
  do not allow importing non-system configurations (#340495)
* Fri Nov  9 2007 lslezak@suse.cz
- y2mkiso - updated and enhanced help text (#336821)
* Fri Nov  9 2007 lslezak@suse.cz
- properly download /boot, /docu and slideshow files (#338625)
- compress metadata if needed, replace the old one, support
  compressed patter files, generate packages.DU only up to
  the 3rd directory level (#335183)
- copy PPC boot files in /suseboot, /ppc and /PS3 (#335177)
- add GPG key to installation initrd on PPC architecture (#339449)
- install required package createrepo (#331530), install additional
  packages on PPC
- fixed ISO image creation on PPC when the path contained spaces
  (#335164)
- skip isolinux configuration when the architecture is not i386
  or x86_64 (#335167)
- display download callbacks in the main window, no flashing popups
  (#338626)
* Fri Nov  2 2007 jsuchome@suse.cz
- correctly escape strings which should be written to config.xml
  (seen in #338090)
* Thu Nov  1 2007 jsuchome@suse.cz
- fixed checking if repository has 'plaindir' format (#338115)
- show which repositories YaST failed to add (#337618)
- added support for "format" and "locale" tags in config.xml
- added support for OEM image type
- call kiwi with --nocolor to shorten the output
- 2.16.4
* Mon Oct 29 2007 jsuchome@suse.cz
- package kernel-bigsmp has been renamed to kernel-pae
- make a conflict with old yast2-storage
- 2.16.3
* Fri Oct 26 2007 jsuchome@suse.cz
- fix the sequence for going to kiwi image from main summary
- do not read the template name when going from main summary
- 2.16.2
* Thu Oct 25 2007 jsuchome@suse.cz
- adapted for the API change of StorageDevices.ycp
- merged features done in SLE10SP version 2.13.17, mostly the
  SLEPOS requirements (F302370, F302371) and related bugfixes:
  - allow more characters in the image name
  - fix modifying of repository (#334208)
  - check for duplicates in the list of boot images (#332581)
  - disable Delete button when there's nothing to delete (#334255)
  - update defaultroot only for new configurations (#327057)
  - check for absolute paths in boot image entry
  - fix initializing when going Back (#332581)
  - fix adding CD/DVD/SLP repositories (#333106)
  - show correct list of repositories when going back (#332253)
  - use system repositories when none is specified (#332253)
  - menubutton for adding system repositories (#332253)
  - added SUPPORTED_BOOT_IMAGES to /etc/sysconfig/product-creator:
    possibility to limit list of offered boot images (#331733)
  - append image name to defaultdestination and defaultroot (#327057)
  - copy whole content of imported kiwi config directory (#330052)
  - save defaultroot value to config.xml (#330059)
  - don't ignore 'inherit' tag (#330079)
  - added support for "this://" in repository paths (#330095)
  - destination directory specified in sysconfig file (#327055)
  - tell zypper to ignore zypp lock (#310581)
  - remove 'prepare' directory before calling kiwi (#325664)
  - added /etc/sysconfig/product-creator config file
- 2.16.1
* Thu Oct  4 2007 jsuchome@suse.cz
- add a default user to the iso template (#328145)
- new template based on current kiwi-desc-livesystem (#328003)
- do not allow configuration without name (#328003)
- 2.16.0
* Thu Sep 27 2007 lslezak@suse.cz
- fixed a typo in the description of "passphrase_file" option
  (#309537)
* Mon Sep 24 2007 jsuchome@suse.cz
- do not close module after kiwi failure (#327593)
- check stderr and stdout after kiwi finish/failure (#327610)
- count the maximum size in package selector (#327901)
- kiwi.ycp requires kiwi-desc-*boot
- simpler kiwi template for iso
- 2.15.8
* Sun Sep  2 2007 jsuchome@suse.cz
- write schemeversion to config.xml
- save new kiwi image configurations to vardir/product-creator
- do not import already imported and modified configuration
- enable modifications of configurations without creating images
- require root for running yast2 kiwi (#309456)
- 2.15.7
* Tue Aug 28 2007 jsuchome@suse.cz
- include the package from "post-packages" section of autoyast
  profile (#291776)
* Mon Aug 27 2007 jsuchome@suse.cz
- do not require packages with image descriptions, include required
  files (originally created by ms@suse.de for kiwi-desc-buildservice
  and kiwi-desc-livesystem) as templates (#289552)
- show kiwi error output in separate window
- enable Browse button for output directory
- 2.15.6
* Tue Aug 14 2007 jsuchome@suse.cz
- enable double-clicks in tables
- 2.15.5
* Fri Aug 10 2007 jsuchome@suse.cz
- helptext for kiwi UI
- CLI option for gpg passphrase (patch by daniel.rahn and lslezak,
  [#287477])
- 2.15.4
* Thu Aug  9 2007 jsuchome@suse.cz
- kiwi UI: enable creating config from scratch, with default
  YaST sources
- 2.15.3
* Wed Aug  8 2007 jsuchome@suse.cz
- yet another fix for "Back" button behavior (#289524)
- enable editing of isolinux.cfg in case of autoYaST usage (#287443)
- 2.15.2
* Thu Aug  2 2007 jsuchome@suse.cz
- "installation source" changed to "repository"
- mark the output product as "base"
- added simplified UI for kiwi
- 2.15.1
* Wed Jul 25 2007 lslezak@suse.cz
- fixed "Back" button behavior in the Isolinux configuration
  dialog (#289524)
* Thu Jun 21 2007 jsuchome@suse.cz
- new version for openSUSE
- 2.15.0
* Mon Jun 18 2007 jsuchome@suse.cz
- changed "Create ISO image" button label, added missing help text
  (#284276)
- 2.13.7
* Wed Jun 13 2007 jsuchome@suse.cz
- merged texts from proofreading
- fixed the help text for signing (#283235)
- 2.13.6
* Tue Jun  5 2007 jsuchome@suse.cz
- kiwi UI: create output directly in output directory to prevent
  problems with kernel symlink (#279981)
- 2.13.5
* Thu May 31 2007 lslezak@suse.cz
- if the product is not bootable do not create /boot directory,
  skip isolinux.cfg configuration and display a warning message
  (#278731)
- update directory.yast in /media.1 directory
- display error message when a configured source is not found
- 2.13.4
* Wed May 30 2007 jsuchome@suse.cz
- select the boot image automaticaly, according to the base product
  (#270881)
- 2.13.3
* Tue May 29 2007 lslezak@suse.cz
- 2.13.2
* Mon May 28 2007 lslezak@suse.cz
- reinitialize the package manager before creating another image
* Mon May 28 2007 lslezak@suse.cz
- install "yast2-instserver" package (.content_file agent)
- fixed signing of addon products
- allow spaces in the file names (#275918)
* Wed May 23 2007 lslezak@suse.cz
- 2.13.1
* Wed May 23 2007 lslezak@suse.cz
- copy the downloaded packages (moving might fail due to restricted
  permissions)
- use cd:/// URL scheme in add_on_products file to automatically
  add the addons during installation
* Tue May 22 2007 lslezak@suse.cz
- run the package selector when there is an unresolved dependency
  when creating installation ISO
* Tue May 22 2007 lslezak@suse.cz
- escape XML entities in URL when writing the config file
  (fixed saving of ISO file URL)
* Mon May 21 2007 lslezak@suse.cz
- fixed the default boot item in isolinux.cfg for AutoYast
  installation (#275911)
* Mon May 21 2007 lslezak@suse.cz
- fixed workflow: display the GPG dialog also if an AutoYast
  profile is used for package selection (#275913)
* Mon May 21 2007 lslezak@suse.cz
- always store isolinux.cfg into the config file, even if there
  is no change (#275914)
* Wed May 16 2007 jsuchome@suse.cz
- added widgets for 'root' and 'config' directory editation
- updated 'type' value of config.xml to kiwi 1.33
- 2.13.0
* Fri Apr 27 2007 jsuchome@suse.cz
- added support for virtual disk systems (qemu, VMware)
* Thu Apr 26 2007 jsuchome@suse.cz
- added support for USB stick images
* Thu Apr 26 2007 lslezak@suse.cz
- added runPackageSelector() function - general package selection
- start "add" workflow if there is no configuration
- added CDCreator::LoadConfig()/CommitConfig()
* Thu Apr 26 2007 jsuchome@suse.cz
- save the configuration to cd-creator xml
- read the kiwi configuration from config.xml (ag_kiwi)
- added support for more values (size, unit)
- added XEN image support
* Thu Apr 19 2007 jsuchome@suse.cz
- run add-on-creator to create new installation sources
- dialogs for Live ISO configuration (F301945)
- install inst-source-utils instead of autoyast2-utils
* Thu Apr 19 2007 lslezak@suse.cz
- remember and set "taboo" packages
- don't loose user selected packages when changing software selection
- added content file cache - download each content file only once
- detect base product
- copy addons to Addons subdirectory
- create "add_on_products" file
- move downloaded packages (save space, might be faster)
- fixed help text (network sources can be used as the package repository)
- display source aliases
